rfCMA {CMA} | R Documentation

## Classification based on Random Forests

### Description

Random Forests were proposed by Breiman (2001) and are implemented in the package `randomForest`.

In this package, they can as well be used to rank variables according to their importance, s. `GeneSelection`.

For `S4` method information, see rfCMA-methods

### Usage

    rfCMA(X, y, f, learnind, varimp = TRUE, seed = 111, ...)

### Arguments

`X`

Gene expression data. Can be one of the following:

- A `matrix`. Rows correspond to observations, columns to variables.
- A `data.frame`, when `f` is not missing (s. below).
- An object of class `ExpressionSet`.

`y`

Class labels. Can be one of the following:

- A `numeric` vector.
- A `factor`.
- A `character` if `X` is an `ExpressionSet` that specifies the phenotype variable.
- `missing`, if `X` is a `data.frame` and a proper formula `f` is provided.

WARNING: The class labels will be re-coded to range from `0` to `K-1`, where `K` is the total number of different classes in the learning set.

`f` | A two-sided formula, if `X` is a `data.frame`. The left part correspond to class labels, the right to variables.
`learnind` | An index vector specifying the observations that belong to the learning set. May be `missing`; in that case, the learning set consists of all observations and predictions are made on the learning set.
`varimp` | Should variable importance measures be computed ? Defauls to `TRUE`.
`seed` | Fix Random number generator seed to `seed`. This is useful to guarantee reproducibility of the results.
`...` | Further arguments to be passed to `randomForest` from the package of the same name.

### Value

If `varimp`, then an object of class `clvarseloutput` is returned, otherwise an object of class `cloutput`

### Author(s)

Martin Slawski martin.slawski@campus.lmu.de

Anne-Laure Boulesteix http://www.slcmsr.net/boulesteix

### References

Breiman, L. (2001)

Random Forest.

Machine Learning, 45:5-32.

### See Also

`compBoostCMA`, `dldaCMA`, `ElasticNetCMA`, `fdaCMA`, `flexdaCMA`, `gbmCMA`, `knnCMA`, `ldaCMA`, `LassoCMA`, `nnetCMA`, `pknnCMA`, `plrCMA`, `pls_ldaCMA`, `pls_lrCMA`, `pls_rfCMA`, `pnnCMA`, `qdaCMA`, `scdaCMA`, `shrinkldaCMA`, `svmCMA`

### Examples

     ### load Khan data
    data(khan)
    ### extract class labels
    khanY <- khan[,1]
    ### extract gene expression
    khanX <- as.matrix(khan[,-1])
    ### select learningset
    set.seed(111)
    learnind <- sample(length(khanY), size=floor(2/3*length(khanY)))
    ### run random Forest
    rfresult <- rfCMA(X=khanX, y=khanY, learnind=learnind, varimp = FALSE)
    ### show results
    show(rfresult)
    ftable(rfresult)
    plot(rfresult)

[Package CMA version 1.2.0 Index]